Bug 1522315 - Reduce minimum horizontal padding for panel footer buttons. r=johannh
authorDão Gottwald <dao@mozilla.com>
Fri, 25 Jan 2019 14:22:08 +0000
changeset 515456 0f54f0a8fc4a1813002ff0a29a342d793864d366
parent 515455 871d54b791a3432127ab232eeba07e33d03967af
child 515457 d6552069b6d952b2e032422d5bd9f46b1b81edb1
push id1953
push userffxbld-merge
push dateMon, 11 Mar 2019 12:10:20 +0000
treeherdermozilla-release@9c35dcbaa899 [default view] [failures only]
perfherder[talos] [build metrics] [platform microbench] (compared to previous push)
reviewersjohannh
bugs1522315
milestone66.0a1
first release with
nightly linux32
nightly linux64
nightly mac
nightly win32
nightly win64
last release without
nightly linux32
nightly linux64
nightly mac
nightly win32
nightly win64
Bug 1522315 - Reduce minimum horizontal padding for panel footer buttons. r=johannh Differential Revision: https://phabricator.services.mozilla.com/D17482
toolkit/themes/shared/global.inc.css
toolkit/themes/shared/popupnotification.inc.css
--- a/toolkit/themes/shared/global.inc.css
+++ b/toolkit/themes/shared/global.inc.css
@@ -57,17 +57,17 @@
 
 .panel-footer > button {
   -moz-appearance: none;
   border-top: 1px solid var(--panel-separator-color);
   /* !important overrides :hover and :active colors from button.css: */
   color: inherit !important;
   min-width: 0;
   margin: 0;
-  padding: .9em;
+  padding: .9em 2px;
 }
 
 .panel-footer > button[disabled] {
   color: var(--panel-disabled-color) !important;
 }
 
 .panel-footer > button:-moz-focusring {
   outline: 1px dotted;
--- a/toolkit/themes/shared/popupnotification.inc.css
+++ b/toolkit/themes/shared/popupnotification.inc.css
@@ -65,17 +65,17 @@
 }
 
 .popup-notification-secondary-button[hidden="true"] ~ .popup-notification-primary-button {
   flex: 1;
 }
 
 .popup-notification-dropmarker {
   flex: none;
-  padding: 0 15px;
+  padding: 0 15px !important;
 }
 
 .popup-notification-dropmarker > .button-box > hbox {
   display: none;
 }
 
 .popup-notification-dropmarker > .button-box > .button-menu-dropmarker {
   /* This is to override the linux !important */